<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MapView_V3 StructType
 * @subpackage Structs
 */
class MapView_V3 extends MapViewParent
{
    /**
     * The MapRoutes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfMapRoute
     */
    public $MapRoutes;
    /**
     * The CurrentMapPositions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfMapPosition_V3
     */
    public $CurrentMapPositions;
    /**
     * Constructor method for MapView_V3
     * @uses MapView_V3::setMapRoutes()
     * @uses MapView_V3::setCurrentMapPositions()
     * @param \ArrayType\ArrayOfMapRoute $mapRoutes
     * @param \ArrayType\ArrayOfMapPosition_V3 $currentMapPositions
     */
    public function __construct(\ArrayType\ArrayOfMapRoute $mapRoutes = null, \ArrayType\ArrayOfMapPosition_V3 $currentMapPositions = null)
    {
        $this
            ->setMapRoutes($mapRoutes)
            ->setCurrentMapPositions($currentMapPositions);
    }
    /**
     * Get MapRoutes value
     * @return \ArrayType\ArrayOfMapRoute|null
     */
    public function getMapRoutes()
    {
        return $this->MapRoutes;
    }
    /**
     * Set MapRoutes value
     * @param \ArrayType\ArrayOfMapRoute $mapRoutes
     * @return \StructType\MapView_V3
     */
    public function setMapRoutes(\ArrayType\ArrayOfMapRoute $mapRoutes = null)
    {
        $this->MapRoutes = $mapRoutes;
        return $this;
    }
    /**
     * Get CurrentMapPositions value
     * @return \ArrayType\ArrayOfMapPosition_V3|null
     */
    public function getCurrentMapPositions()
    {
        return $this->CurrentMapPositions;
    }
    /**
     * Set CurrentMapPositions value
     * @param \ArrayType\ArrayOfMapPosition_V3 $currentMapPositions
     * @return \StructType\MapView_V3
     */
    public function setCurrentMapPositions(\ArrayType\ArrayOfMapPosition_V3 $currentMapPositions = null)
    {
        $this->CurrentMapPositions = $currentMapPositions;
        return $this;
    }
}
